## ros-indigo-eusurdf 0.4.2

=== debian/changelog ===
ros-indigo-eusurdf (0.4.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-indigo-eusurdf (0.4.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-indigo-eusurdf (0.4.0-0trusty) trusty; urgency=high

  * [eusurdf] add cmake target for generating Semantic map from eusmodel (#194 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/194>)
    * [eusurdf] add cmake target for generating ontology if generator exists
    * [eusurdf][package.xml] add python-lxml as run_depend
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * use LinuxARM ARCHDIR for CMKAE_SYSTEM_PROCESSOR armv/aarch64
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-indigo-eusurdf (0.3.5-0trusty) trusty; urgency=high

  * add gazebo_ros to build_depend
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-indigo-eusurdf (0.3.4-0trusty) trusty; urgency=high

  * add python-lxml
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-indigo-eusurdf (0.3.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-indigo-eusurdf (0.3.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-indigo-eusurdf (0.3.1-0trusty) trusty; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * eusurdf/euslisp/eusmodel_to_urdf.l: if collada_urdf_jsk_patch does not exists, use collada_urdf
    * CMakeLists.txt, cmake/eusurdf.cmake : use collada_urdf if collada_urdf_jsk_patch is not found
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-indigo-eusurdf (0.3.0-0trusty) trusty; urgency=high

  * [eusurdf] fix: use :if-exists :new-version instead of :overwrite  (#196 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/196>)
  * use package://eusurdf instead of model:// (#195 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/195>)
    * [eusurdf] fix: try catch
    * [eusurdf] use 1 launch file to spawn; add option to publish tf for model
    * [eusurdf][convert-eus-to-urdf.l] fix: add / for directory path
    * [eusurdf][textured_models] use package://eusurdf instead of model:// for xacro
    * [eusurdf][urdf_to_xacro.py] convert model:// -> package://eusurdf
  * [eusurdf] generate urdf.xacro for model / scene (#193 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/193>)
    * [eusurdf][package.xml] add python-lxml as run_depend
    * [eusurdf][README.md] append usage about spawning urdf
    * [eusurdf][textured_models] add urdf.xacro for textured_models
    * [eusurdf] generate urdf.xacro from eusmodel / eusscene to make unified urdf
  * parallelize model generation (#188 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/188>)
    * [eusurdf][convert-eus-to-urdf.l] remove tmp-dir-no-duplication
    * [eusurdf][eusscene_to_world.l] raise error when model name is undefined
    * [eusurdf][convert-eus-to-urdf.l] fix: forgot to update
    * [eusurdf][convert-eus-to-urdf-test.l] update test
    * [eusurdf][convert-eus-to-urdf.l] create directory for world file if not created
    * [eusurdf][convert-eus-to-urdf.l] make argument world-file-path necessary; remove random-seed
    * [eusurdf] get collada_to_urdf bin path from cmake
    * [eusurdf] avoid intermediate files permission issue
    * [eusurdf][convert-eus-to-urdf.l] keep back compatibility
    * [eusurdf] cleanup old stuff
    * [eusurdf][textured_models] drop suffix for models
    * [eusurdf] parallelize model generation
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-indigo-eusurdf (0.2.5-0trusty) trusty; urgency=high

  * [eusurdf] add test of model conversion (#181 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/181>)
    * [eusurdf/CMakeLists.txt,package.xml] test model conversion in eusurdf package.
    * [eusurdf/test] add test directory in eusurdf. add script and launch to test model conversion.
    * [eusurdf/package.xml] add maintainer of eusurdf package.
    * [eusurdf/euslisp/convert-eus-to-urdf.l] add documentation of euslisp function to convert irteus->urdf.
  * [eusurdf/euslisp/convert-eus-to-urdf.l] get name from converted eus model if the argument name is not passed. (#169 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/169>)
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-indigo-eusurdf (0.2.4-0trusty) trusty; urgency=high

  * Ignore world files
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-indigo-eusurdf (0.2.3-0trusty) trusty; urgency=high

  * [eusurdf/textured_models] add iemon/hamburger/wanda to texture_models
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-indigo-eusurdf (0.2.2-0trusty) trusty; urgency=high

  * [textured_models/room73b2-hitachi-fiesta-refrigerator-0] transparent inside board of fridge
  * [textured_models/room73b2-georgia-emerald-mountain-0] add texture of georgia can
  * [textured_models/room73b2-hitachi-fiesta-refrigerator-0/model.urdf] update to more realistic physics parameters
  * [textured_models] add georgia can
  * [CMakeLists.txt] install eusurdf/worlds directory
  * [CMakeLists.txt] add roseus to run_depend. use environment variable to get eusdir. call roseus without rosrun.
  * [eusurdf] add textured_models/
  * Contributors: Yuki Furuta, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000


